Skip to main content
GET
/
projects
/
{project_name}
/
tables
/
{table_id}
/
data
GET /projects/{project_name}/tables/{table_id}/data
curl --request GET \
  --url https://api.cloudsquid.io/api/projects/{project_name}/tables/{table_id}/data \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.cloudsquid.io/api/projects/{project_name}/tables/{table_id}/data"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.cloudsquid.io/api/projects/{project_name}/tables/{table_id}/data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "data": {},
    "created_at": "2023-11-07T05:31:56Z",
    "row_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "reasoning": "<string>",
    "review": {
      "comment": "<string>",
      "reviewed_by": "<string>",
      "review_date": "2023-11-07T05:31:56Z",
      "approved": true
    },
    "input": {
      "data": {},
      "files": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        }
      ]
    }
  }
]

Authorizations

X-API-Key
string
header
required

Path Parameters

project_name
string
required

The name of the project

table_id
string<uuid>
required

The id of the table

Query Parameters

data_id
string<uuid>

Optional filter for a specific data id

Response

Successfully retrieved data

data
object
required

Object with direct values for each key, allowing single values or arrays of values.

created_at
string<date-time>
required
row_id
string<uuid>
required
reasoning
string
review
object
status
enum<string>

status of the AI run

Available options:
running,
done,
error,
pending
input
object